Loading...
Searching...
No Matches
gtsam::DSFMap< KEY > Class Template Reference
Base

## Detailed Description

template<class KEY>
class gtsam::DSFMap< KEY >

Disjoint set forest using an STL map data structure underneath Uses rank compression and union by rank, iterator version.

## Public Member Functions

| DSFMap ()
| constructor
KEY | find (const KEY &key) const
| Given key, find the representative key for the set in which it lives.
void | merge (const KEY &x, const KEY &y)
| Merge two sets.
std::map< KEY, Set > | sets () const
| return all sets, i.e. a partition of all elements

## Public Types

typedef std::set< KEY > | Set

## Classes

struct | Entry
| We store the forest in an STL map, but parents are done with pointers. More...

## Protected Types

typedef std::map< KEY, Entry > | Map
typedef Map::iterator | iterator

## Protected Member Functions

iterator | find__ (const KEY &key) const
| Given key, find iterator to initial entry.
iterator | find_ (const iterator &it) const
| Given iterator to initial entry, find the root Entry.
iterator | find_ (const KEY &key) const
| Given key, find the root Entry.

## Protected Attributes

Map | entries_

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/DSFMap.h